"use strict";
/**
 * @license
 * Copyright (c) 2018 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt
 * The complete set of authors may be found at
 * http://polymer.github.io/AUTHORS.txt
 * The complete set of contributors may be found at
 * http://polymer.github.io/CONTRIBUTORS.txt
 * Code distributed by Google as part of the polymer project is also
 * subject to an additional IP rights grant found at
 * http://polymer.github.io/PATENTS.txt
 */
Object.defineProperty(exports, "__esModule", { value: true });
const fse = require("fs-extra");
const path = require("path");
const util_1 = require("../../util");
const modulizerBinPath = path.resolve(__dirname, '../../../bin/modulizer.js');
async function runFixture(sourceDir, resultDir, testConfig) {
    await fse.emptyDir(resultDir);
    await fse.copy(sourceDir, resultDir);
    // Top-Level Integration Test! Test the CLI interface directly.
    return await util_1.exec(resultDir, 'node', [
        modulizerBinPath,
        '--out',
        '.',
        '--force',
    ].concat(testConfig.options || []));
}
exports.runFixture = runFixture;
//# sourceMappingURL=run-fixture.js.map